- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.HealthSourceHealth.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.HealthSourceHealth.SCHEMA_REPRESENTATION.sources.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthSources/getHealth#try-it)

Gets the most recent health check results for this regional HealthSource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/healthSources/{healthSource}/getHealth`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Name of the project scoping this request. |
| `region` | `string` Name of the region scoping this request. |
| `healthSource` | `string` Name of the HealthSource resource to get health for. |

### Request body

The request body must be empty.

### Response body

Response message for RegionHealthSources.GetHealth

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "healthState": enum, "sources": [ { "source": string, "forwardingRule": string, "backends": [ { "group": string, "healthyEndpointCount": integer, "endpointCount": integer } ] } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of resource. Always `compute#healthSourceHealth` for the health of health sources. |
| `healthState` | `enum` Health state of the HealthSource. |
| `sources[]` | `object` Health state details of the sources. |
| `sources[].source` | `string` Fully qualified URL of the associated source resource. This is always a backend service URL. |
| `sources[].forwardingRule` | `string` Fully qualified URL of the forwarding rule associated with the source resource if it is a L4ILB backend service. |
| `sources[].backends[]` | `object` Represents an instance group or network endpoint group behind the source backend service. Only used if the sourceType of the regionHealthSource is BACKEND_SERVICE. |
| `sources[].backends[].group` | `string` Fully qualified URL of an instance group or network endpoint group behind the source backend service. |
| `sources[].backends[].healthyEndpointCount` | `integer` Number of endpoints considered healthy when determining health of the regionHealthSource. |
| `sources[].backends[].endpointCount` | `integer` Total number of endpoints when determining the health of the regionHealthSource. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionHealthSources.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).